package com.imcode.forum.sql;

import com.imcode.db.handlers.ObjectFromRowFactory;
import com.imcode.forum.Id;

import java.sql.ResultSet;
import java.sql.SQLException;

class SqlForumFactory implements ObjectFromRowFactory {

    private SqlRepository sqlForumMapper;

    SqlForumFactory(SqlRepository sqlForumMapper) {
        this.sqlForumMapper = sqlForumMapper;
    }

    public Object createObjectFromResultSetRow(ResultSet resultSet) throws SQLException {
        Id forumId = new SqlId(resultSet.getInt(1)) ;
        return new SqlForum(sqlForumMapper, forumId) ;
    }

    public Class getClassOfCreatedObjects() {
        return SqlForum.class ;
    }
}
